Segment Anything Model 3
ஒருங்கிணை
sam-3/image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sam-3/image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sam-3/image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ta/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "sam-3/image",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
}
Doitong API மூலம் Segment Anything Model 3 மாதிரியை (sam-3/image) அழைக்கவும். முகவர்களுக்கான ஆவணங்கள்: https://doitong.com/ta/developers/models/sam-3/image.md
POST https://api.doitong.com/v1/run/sam-3/image?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}
பதிலின் நிலை "queued" அல்லது "running" எனில், அது "succeeded" ஆகும் வரை GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 மூலம் தொடர்ந்து சரிபார்க்கவும்; கோப்புகள் outputs[].url இல் உள்ளன. அதே body-யுடன் POST https://api.doitong.com/v1/quote/sam-3/image அனுப்பினால், இயக்கத்திற்கு முன் துல்லியமான விலை கிடைக்கும்.
இந்தக் கோரிக்கை: ≈$0.005 5 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்
உங்கள் புதிய API விசை. இது இப்போது மட்டும் காட்டப்படுகிறது; இது ஏற்கனவே கீழே உள்ள குறியீட்டிலும் API விசை புலத்திலும் உள்ளது. இதை ரகசியமாக வைத்திருங்கள்: உலாவியில் இயங்கும் குறியீட்டில் இதை ஒருபோதும் வைக்காதீர்கள்.
உங்கள் முதல் முடிவு இங்கே வரும்
கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.
கோரிக்கையை உருவாக்கு
மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.
/run/sam-3/image?wait=20
விலை → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/image?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/sam-3/image?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/sam-3/image", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "sam-3/image",
"input": {
"image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"wait_seconds": 20
}
}
}
இந்தக் கோரிக்கையை இயக்கு
உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்
Segment Anything Model 3 பற்றி
உரை `prompt`, `point_prompts` அல்லது `box_prompts`-இலிருந்து SAM 3 மூலம் ஒரு படத்தைப் பிரிக்கிறது. `return_multiple_masks` இயக்கப்பட்டால் அதிகபட்சம் `max_masks` முகமூடிகளை (1 முதல் 32) வழங்குகிறது. விருப்ப நம்பிக்கை மதிப்பெண்கள் மற்றும் எல்லைப் பெட்டிகளைச் சேர்க்கலாம். வெளியீட்டு வடிவம் jpeg, png அல்லது webp.
அளவுருக்கள்
நியமப் பெயர் அல்லது நேட்டிவ் பெயர் இரண்டில் ஒன்றை மட்டும் அனுப்பவும். நியமப் பெயர்கள்
image_urlதேவை
image
promptவிருப்பத்தேர்வு
text_promptவிருப்பத்தேர்வு
point_promptsவிருப்பத்தேர்வு
point_prompts[].xவிருப்பத்தேர்வு
point_prompts[].yவிருப்பத்தேர்வு
point_prompts[].labelவிருப்பத்தேர்வு
point_prompts[].object_idவிருப்பத்தேர்வு
point_prompts[].frame_indexவிருப்பத்தேர்வு
box_promptsவிருப்பத்தேர்வு
box_prompts[].x_minவிருப்பத்தேர்வு
box_prompts[].y_minவிருப்பத்தேர்வு
box_prompts[].x_maxவிருப்பத்தேர்வு
box_prompts[].y_maxவிருப்பத்தேர்வு
box_prompts[].object_idவிருப்பத்தேர்வு
box_prompts[].frame_indexவிருப்பத்தேர்வு
apply_maskவிருப்பத்தேர்வு
output_formatவிருப்பத்தேர்வு
return_multiple_masksவிருப்பத்தேர்வு
max_masksவிருப்பத்தேர்வு
include_scoresவிருப்பத்தேர்வு
include_boxesவிருப்பத்தேர்வு
கோப்பு அளவுருக்கள் பொதுவான https:// URL, 10 MB வரையிலான data: URI அல்லது பதிவேற்றத்தின் file_url-ஐ ஏற்கும். கோப்புகள்
வெளியீடு
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "sam-3/image",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 5,
"usd": "0.005",
"charged": 5,
"refunded": 0
},
"input": {
"image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
},
"output": {
"image": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
},
"masks": [
{
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768
}
],
"metadata": [
{
"index": 1,
"score": 1.0,
"box": [
1.0
]
}
],
"scores": [
1.0
],
"boxes": [
[
1.0
]
]
},
"outputs": [
{
"type": "image",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"width": 1024,
"height": 768,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
வெளியீட்டின் புலங்கள்
- image
- object {url, content_type, file_name, file_size, width, height} | nullமுதன்மை பிரிவாக்க முகமூடியைக் காட்டும் முன்னோட்டம்.
- masks
- array of object {url, content_type, file_name, file_size, width, height}பிரிவாக்க முகமூடிகளைக் கொண்ட படங்கள்.
- metadata
- array of object {index, score, box} | nullஒவ்வொரு முகமூடிக்குமான மெட்டாடேட்டா; அதன் மதிப்பெண் மற்றும் பெட்டி உட்பட.
- scores
- array of number | nullகோரப்பட்டபோது வழங்கப்படும் ஒவ்வொரு முகமூடிக்குமான நம்பகத்தன்மை மதிப்பெண்.
- boxes
- array of array of number | nullகோரப்பட்டால், [cx, cy, w, h] ஆகக் குறிப்பிடப்படும் ஒவ்வொரு முகமூடிக்குமான இயல்பாக்கப்பட்ட பெட்டிகள்.
பிற Sam3 மாறுபாடுகள்
மேலும் மாதிரிகள்: படத் திருத்தம்
AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/sam-3/image.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt






